EmbeddedDatabaseShutdownHook (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.plugins.datasource

## [Groovy] Class EmbeddedDatabaseShutdownHook

- org.grails.plugins.datasource.EmbeddedDatabaseShutdownHook

- All Implemented Interfaces and Traits:
    org.springframework.context.SmartLifecycle, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      class EmbeddedDatabaseShutdownHook
      extends java.lang.Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `addShutdownOperation(java.sql.Connection connection)`
    `` | `int` | `getPhase()`
    `` | `boolean` | `isAutoStartup()`
    `` | `protected boolean` | `isEmbeddedH2orHsqldb(javax.sql.DataSource dataSource)`
    `` | `boolean` | `isRunning()`
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `` | `protected java.lang.Object` | `shutdownEmbeddedDatabase(javax.sql.DataSource dataSource)`
    `` | `void` | `start()`
    `` | `void` | `stop()`
    `` | `void` | `stop(java.lang.Runnable callback)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected java.lang.Object addShutdownOperation(java.sql.Connection connection)

    - #### @java.lang.Override int getPhase()

    - #### @java.lang.Override boolean isAutoStartup()

    - #### protected boolean isEmbeddedH2orHsqldb(javax.sql.DataSource dataSource)

    - #### @java.lang.Override boolean isRunning()

    - #### @java.lang.Override void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### protected java.lang.Object shutdownEmbeddedDatabase(javax.sql.DataSource dataSource)

    - #### @java.lang.Override void start()

    - #### @java.lang.Override void stop()

    - #### @java.lang.Override void stop(java.lang.Runnable callback)